Subject: Re: [aqm] Fwd: New Version Notification for draft-ietf-aqm-codel-05.txt

From: Wesley Eddy <[email-masked]>
Date: Tue, 1 Nov 2016 23:51:05 -0400

Thanks; I've completed the shepherd write-up now, and sent it to Mirja 
for AD review.

I noticed that references [6] and [7] are duplicates, and the text 
citing them is mangled ... but this can be noted for bundling with other 
fixes that may result from AD review, IETF last call, or IESG review.

On 10/31/2016 8:12 PM, Jana Iyengar wrote:
> Hi all,
>
> We've submitted an updated version of the draft. I believe this 
> addresses all outstanding comments on the draft.
>
> Specifically, it addresses all the nits Wes pointed out. It also 
> addresses the two concerns raised on the list earlier:
> 1. Inconsistency between text and algorithm on 1.1 x interval. We've 
> changed the text to be consistent with the pseudo-code, which is 1.0 x 
> interval.
> 2. We've added some text around the frequency and importance of 
> re-entering dropping state. Specifically, the last two sentences in 
> the following para of Sec 4.1:
>   "Additional logic prevents re-entering the dropping state too soon
>    after exiting it and resumes the dropping state at a recent control
>    level, if one exists.  This logic is described more precisely in the
>    pseudo-code below.  Additional work is required to determine the
>    frequency and importance of re-entering the dropping state."
>
> Thanks,
> - jana
>
> ---------- Forwarded message ----------
> From: <[email-masked] <mailto:[email-masked]>>
> Date: Mon, Oct 31, 2016 at 4:59 PM
> Subject: New Version Notification for draft-ietf-aqm-codel-05.txt
> To: Kathleen Nichols <[email-masked] 
> <mailto:[email-masked]>>, Janardhan Iyengar <[email-masked] 
> <mailto:[email-masked]>>, Andrew McGregor <[email-masked] 
> <mailto:[email-masked]>>, Van Jacobson <[email-masked] 
> <mailto:[email-masked]>>
>
>
>
> A new version of I-D, draft-ietf-aqm-codel-05.txt
> has been successfully submitted by Janardhan Iyengar and posted to the
> IETF repository.
>
> Name:           draft-ietf-aqm-codel
> Revision:       05
> Title:          Controlled Delay Active Queue Management
> Document date:  2016-10-31
> Group:          aqm
> Pages:          28
> URL: https://www.ietf.org/internet-drafts/draft-ietf-aqm-codel-05.txt 
> <https://www.ietf.org/internet-drafts/draft-ietf-aqm-codel-05.txt>
> Status: https://datatracker.ietf.org/doc/draft-ietf-aqm-codel/ 
> <https://datatracker.ietf.org/doc/draft-ietf-aqm-codel/>
> Htmlized: https://tools.ietf.org/html/draft-ietf-aqm-codel-05 
> <https://tools.ietf.org/html/draft-ietf-aqm-codel-05>
> Diff: https://www.ietf.org/rfcdiff?url2=draft-ietf-aqm-codel-05 
> <https://www.ietf.org/rfcdiff?url2=draft-ietf-aqm-codel-05>
>
> Abstract:
>    This document describes a general framework called CoDel (Controlled
>    Delay) that controls bufferbloat-generated excess delay in modern
>    networking environments.  CoDel consists of an estimator, a setpoint,
>    and a control loop.  It requires no configuration in normal Internet
>    deployments.  CoDel comprises some major technical innovations and
>    has been made available as open source so that the framework can be
>    applied by the community to a range of problems.  It has been
>    implemented in Linux (and available in the Linux distribution) and
>    deployed in some networks at the consumer edge.  In addition, the
>    framework has been successfully applied in other ways.
>
>    Note: Code Components extracted from this document must include the
>    license as included with the code in Section 5.
>
>
>
>
> Please note that it may take a couple of minutes from the time of 
> submission
> until the htmlized version and diff are available at tools.ietf.org 
> <http://tools.ietf.org>.
>
> The IETF Secretariat
>
>
>
>
> _______________________________________________
> aqm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/aqm

---

From: Dave Täht <[email-masked]>
Date: Mon, 21 Nov 2016 11:03:50 -0800

Are we done here? Can we just publish this and the fq_codel draft soon?

On 10/31/16 5:12 PM, Jana Iyengar wrote:
> re-entering dropping state. Specifically, the last two sentences in the
> following para of Sec 4.1:
> From: ** <[email-masked] <mailto:[email-masked]>>
> To: Kathleen Nichols <[email-masked] <mailto:[email-masked]>>,
> Janardhan Iyengar <[email-masked] <mailto:[email-masked]>>, Andrew
> McGregor <[email-masked] <mailto:[email-masked]>>, Van
> Jacobson <[email-masked] <mailto:[email-masked]>>
> 
> 
> 
> URL:           
> https://www.ietf.org/internet-drafts/draft-ietf-aqm-codel-05.txt
> Diff:         
>  https://www.ietf.org/rfcdiff?url2=draft-ietf-aqm-codel-05
> Please note that it may take a couple of minutes from the time of submission

---

From: Wesley Eddy <[email-masked]>
Date: Mon, 21 Nov 2016 15:22:58 -0500

Hi Dave, we sent the publication request on 11/1, and Mirja quickly 
performed an AD review with comments on 11/2, that I think she's waiting 
for resolution on in order to take it to the IETF-wide LC and IESG 
telechat.